Package com.google.android.exoplayer2.util

## Class NalUnitUtil.H265SpsData

- java.lang.Object
- - com.google.android.exoplayer2.util.NalUnitUtil.H265SpsData

- Enclosing class:
    NalUnitUtil

      public static final class NalUnitUtil.H265SpsData
      extends Object

  Holds data parsed from a H.265 sequence parameter set NAL unit.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int[]` | `constraintBytes` |
    `int` | `generalLevelIdc` |
    `int` | `generalProfileCompatibilityFlags` |
    `int` | `generalProfileIdc` |
    `int` | `generalProfileSpace` |
    `boolean` | `generalTierFlag` |
    `int` | `height` |
    `float` | `pixelWidthHeightRatio` |
    `int` | `seqParameterSetId` |
    `int` | `width` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `H265SpsData​(int generalProfileSpace, boolean generalTierFlag, int generalProfileIdc, int generalProfileCompatibilityFlags, int[] constraintBytes, int generalLevelIdc, int seqParameterSetId, int width, int height, float pixelWidthHeightRatio)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### generalProfileSpace

          public final int generalProfileSpace

    - #### generalTierFlag

          public final boolean generalTierFlag

    - #### generalProfileIdc

          public final int generalProfileIdc

    - #### generalProfileCompatibilityFlags

          public final int generalProfileCompatibilityFlags

    - #### constraintBytes

          public final int[] constraintBytes

    - #### generalLevelIdc

          public final int generalLevelIdc

    - #### seqParameterSetId

          public final int seqParameterSetId

    - #### width

          public final int width

    - #### height

          public final int height

    - #### pixelWidthHeightRatio

          public final float pixelWidthHeightRatio

  - ### Constructor Detail

    - #### H265SpsData

          public H265SpsData​(int generalProfileSpace,
                             boolean generalTierFlag,
                             int generalProfileIdc,
                             int generalProfileCompatibilityFlags,
                             int[] constraintBytes,
                             int generalLevelIdc,
                             int seqParameterSetId,
                             int width,
                             int height,
                             float pixelWidthHeightRatio)